.wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] {
        --lb-icon-transform: none;
        --lb-text-color: var(--mc-buttonColor);
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__body[_ngcontent-wlc-app-c145146643] {
        transition: all 0.3s linear;
        gap: 10px;
        grid-template-columns: 1fr;
        grid-template-rows: 50px auto;
        display: grid;
        height: 100%;
        background: var(--mc-bg500);
      }
      @media (min-width: 1630px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__body[_ngcontent-wlc-app-c145146643] {
          gap: 20px;
        }
      }
      @media (min-width: 768px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__body[_ngcontent-wlc-app-c145146643] {
          grid-template-columns: 72px auto;
        }
      }
      @media (min-width: 1200px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__body[_ngcontent-wlc-app-c145146643] {
          grid-template-columns: 85px auto;
        }
      }
      @media (min-width: 1630px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__body[_ngcontent-wlc-app-c145146643] {
          grid-template-columns: 100px auto;
        }
      }
      @media (min-width: 768px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__body[_ngcontent-wlc-app-c145146643] {
          grid-template-rows: 1fr;
        }
      }
      @media (pointer: fine) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__body[_ngcontent-wlc-app-c145146643]:hover {
          background: var(--mc-bg700-l10);
        }
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__image[_ngcontent-wlc-app-c145146643] {
        width: 72px;
        height: 50px;
        position: relative;
        display: flex;
        align-items: center;
      }
      @media (min-width: 1200px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__image[_ngcontent-wlc-app-c145146643] {
          width: 85px;
        }
      }
      @media (min-width: 1630px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__image[_ngcontent-wlc-app-c145146643] {
          width: 100px;
        }
      }
      @media (min-width: 1200px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__image[_ngcontent-wlc-app-c145146643] {
          height: 60px;
        }
      }
      @media (min-width: 1630px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__image[_ngcontent-wlc-app-c145146643] {
          height: 70px;
        }
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__icon-wrap[_ngcontent-wlc-app-c145146643],
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__sprite[_ngcontent-wlc-app-c145146643] {
        width: 100%;
        height: 100%;
        position: absolute;
        pointer-events: none;
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__icon-wrap[_ngcontent-wlc-app-c145146643] .wlc-animate-sprite__canvas,
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__sprite[_ngcontent-wlc-app-c145146643] .wlc-animate-sprite__canvas {
        margin: 0 auto;
        display: block;
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__icon[_ngcontent-wlc-app-c145146643] {
        margin: 0 auto;
        width: 100%;
        max-height: 100%;
        display: block;
        object-fit: contain;
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__content[_ngcontent-wlc-app-c145146643] {
        text-align: center;
        display: flex;
        flex-direction: column;
      }
      @media (min-width: 768px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__content[_ngcontent-wlc-app-c145146643] {
          text-align: start;
        }
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__top[_ngcontent-wlc-app-c145146643] {
        color: var(--mc-baseMain);
        font-style: normal;
        font-weight: 700;
        font-size: 1.6rem;
        line-height: 1.45;
      }
      @media (min-width: 1630px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__top[_ngcontent-wlc-app-c145146643] {
          font-style: normal;
          font-weight: 700;
          font-size: 2.4rem;
          line-height: 1.45;
        }
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__text[_ngcontent-wlc-app-c145146643] {
        margin: none;
        color: var(--mc-buttonColor);
        font-style: normal;
        font-weight: 700;
        font-size: 1.2rem;
        line-height: 1.45;
      }
      @media (min-width: 1630px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__text[_ngcontent-wlc-app-c145146643] {
          font-style: normal;
          font-weight: 700;
          font-size: 1.4rem;
          line-height: 1.45;
        }
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__body[_ngcontent-wlc-app-c145146643] {
        cursor: pointer;
      }
      @media (pointer: fine) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__body[_ngcontent-wlc-app-c145146643]:hover {
          --lb-icon-transform: rotateX(360deg) translateX(10px);
          --lb-text-color: var(--mc-baseMain);
        }
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__content[_ngcontent-wlc-app-c145146643] {
        align-items: center;
      }
      @media (min-width: 768px) {
        .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__content[_ngcontent-wlc-app-c145146643] {
          align-items: start;
        }
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__text[_ngcontent-wlc-app-c145146643] {
        transition: color 0.3s linear;
        display: flex;
        align-items: center;
        color: var(--lb-text-color);
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__text[_ngcontent-wlc-app-c145146643] .wlc-icon {
        transition: transform 0.3s linear;
        margin-left: 5px;
        transform: var(--lb-icon-transform);
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__text[_ngcontent-wlc-app-c145146643] {
        width: 100%;
        overflow: hidden;
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__text[_ngcontent-wlc-app-c145146643] .wlc-icon {
        color: var(--mc-buttonColor);
      }
      .wlc-lucky-button--theme-default[_nghost-wlc-app-c145146643] .wlc-lucky-button__text[_ngcontent-wlc-app-c145146643] svg {
        margin-bottom: 1px;
      }
